import { select,json,geoMercator,geoPath,zoom,event,scaleOrdinal,schemeCategory10
  } from 'd3'; 
import { feature } from 'topojson';

// Dimensions of svg
const svg = select('svg');
const width = window.innerWidth;
const height = window.innerHeight;

// Heading of the map
const HeaderText = "India Map";
svg.append('text').attr('y',40).attr('x',250).text(HeaderText).attr('class',"Header");

// Type of projection used
const projection = geoMercator().translate([-600,585]).scale([800])
const pathGen = geoPath(projection)

const colorScale = scaleOrdinal(schemeCategory10);
// Get the geographical data in Json formar
json('https://gist.githubusercontent.com/AnimeshN/da2cb5d197bdc0f811a2cda3eaf2e97d/raw/india_state_nfhs4.topojson')
  .then(data => {
// Parsing feature from Data  
  
const india = feature(data,data.objects.india)
const states = india.features.map(d => d.properties.NAME1_)

 // Construct map path from feature data 
svg.selectAll('path').data(india.features)
    	.enter().append('path')
    			.attr('class', 'country')// Created class of country
  				.attr('fill', (d) => colorScale(d.properties.NAME1_))
  				 .attr('d', (d) => pathGen(d))
  					.append('title')
  					.text((d) => d.properties.NAME1_);
});
 

  
 


 
